import * as cdk from '@aws-cdk/core';
/**
 * Schema for Module Fragment of type Splunk::Enterprise::QuickStart::MODULE.
 *
 * @schema CfnModuleProps
 */
export interface CfnModuleProps {
    /**
     * @schema CfnModuleProps#Parameters
     */
    readonly parameters?: CfnModulePropsParameters;
    /**
     * @schema CfnModuleProps#Resources
     */
    readonly resources?: CfnModulePropsResources;
}
/**
 * Converts an object of type 'CfnModuleProps' to JSON representation.
 */
export declare function toJson_CfnModuleProps(obj: CfnModuleProps | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParameters
 */
export interface CfnModulePropsParameters {
    /**
     * @schema CfnModulePropsParameters#AvailabilityZones
     */
    readonly availabilityZones?: CfnModulePropsParametersAvailabilityZones;
    /**
     * @schema CfnModulePropsParameters#NumberOfAZs
     */
    readonly numberOfAZs?: CfnModulePropsParametersNumberOfAZs;
    /**
     * @schema CfnModulePropsParameters#WebClientLocation
     */
    readonly webClientLocation?: CfnModulePropsParametersWebClientLocation;
    /**
     * @schema CfnModulePropsParameters#HECClientLocation
     */
    readonly hecClientLocation?: CfnModulePropsParametersHecClientLocation;
    /**
     * @schema CfnModulePropsParameters#IndexerInstanceType
     */
    readonly indexerInstanceType?: CfnModulePropsParametersIndexerInstanceType;
    /**
     * @schema CfnModulePropsParameters#SearchHeadInstanceType
     */
    readonly searchHeadInstanceType?: CfnModulePropsParametersSearchHeadInstanceType;
    /**
     * @schema CfnModulePropsParameters#KeyName
     */
    readonly keyName?: CfnModulePropsParametersKeyName;
    /**
     * @schema CfnModulePropsParameters#PublicSubnet1CIDR
     */
    readonly publicSubnet1Cidr?: CfnModulePropsParametersPublicSubnet1Cidr;
    /**
     * @schema CfnModulePropsParameters#PublicSubnet2CIDR
     */
    readonly publicSubnet2Cidr?: CfnModulePropsParametersPublicSubnet2Cidr;
    /**
     * @schema CfnModulePropsParameters#PublicSubnet3CIDR
     */
    readonly publicSubnet3Cidr?: CfnModulePropsParametersPublicSubnet3Cidr;
    /**
     * @schema CfnModulePropsParameters#SHCEnabled
     */
    readonly shcEnabled?: CfnModulePropsParametersShcEnabled;
    /**
     * @schema CfnModulePropsParameters#SSHClientLocation
     */
    readonly sshClientLocation?: CfnModulePropsParametersSshClientLocation;
    /**
     * @schema CfnModulePropsParameters#SplunkAdminPassword
     */
    readonly splunkAdminPassword?: CfnModulePropsParametersSplunkAdminPassword;
    /**
     * @schema CfnModulePropsParameters#SplunkIndexerCount
     */
    readonly splunkIndexerCount?: CfnModulePropsParametersSplunkIndexerCount;
    /**
     * @schema CfnModulePropsParameters#SplunkIndexerDiskSize
     */
    readonly splunkIndexerDiskSize?: CfnModulePropsParametersSplunkIndexerDiskSize;
    /**
     * @schema CfnModulePropsParameters#SplunkSearchHeadDiskSize
     */
    readonly splunkSearchHeadDiskSize?: CfnModulePropsParametersSplunkSearchHeadDiskSize;
    /**
     * @schema CfnModulePropsParameters#SplunkLicenseBucket
     */
    readonly splunkLicenseBucket?: CfnModulePropsParametersSplunkLicenseBucket;
    /**
     * @schema CfnModulePropsParameters#SplunkLicensePath
     */
    readonly splunkLicensePath?: CfnModulePropsParametersSplunkLicensePath;
    /**
     * @schema CfnModulePropsParameters#SplunkReplicationFactor
     */
    readonly splunkReplicationFactor?: CfnModulePropsParametersSplunkReplicationFactor;
    /**
     * @schema CfnModulePropsParameters#SplunkSearchFactor
     */
    readonly splunkSearchFactor?: CfnModulePropsParametersSplunkSearchFactor;
    /**
     * @schema CfnModulePropsParameters#SplunkClusterSecret
     */
    readonly splunkClusterSecret?: CfnModulePropsParametersSplunkClusterSecret;
    /**
     * @schema CfnModulePropsParameters#SplunkIndexerDiscoverySecret
     */
    readonly splunkIndexerDiscoverySecret?: CfnModulePropsParametersSplunkIndexerDiscoverySecret;
    /**
     * @schema CfnModulePropsParameters#VPCCIDR
     */
    readonly vpccidr?: CfnModulePropsParametersVpccidr;
    /**
     * @schema CfnModulePropsParameters#SmartStoreBucketName
     */
    readonly smartStoreBucketName?: CfnModulePropsParametersSmartStoreBucketName;
}
/**
 * Converts an object of type 'CfnModulePropsParameters' to JSON representation.
 */
export declare function toJson_CfnModulePropsParameters(obj: CfnModulePropsParameters | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResources
 */
export interface CfnModulePropsResources {
    /**
     * @schema CfnModulePropsResources#VPC
     */
    readonly vpc?: CfnModulePropsResourcesVpc;
    /**
     * @schema CfnModulePropsResources#PublicSubnet1
     */
    readonly publicSubnet1?: CfnModulePropsResourcesPublicSubnet1;
    /**
     * @schema CfnModulePropsResources#PublicSubnet2
     */
    readonly publicSubnet2?: CfnModulePropsResourcesPublicSubnet2;
    /**
     * @schema CfnModulePropsResources#PublicSubnet3
     */
    readonly publicSubnet3?: CfnModulePropsResourcesPublicSubnet3;
    /**
     * @schema CfnModulePropsResources#InternetGateway
     */
    readonly internetGateway?: CfnModulePropsResourcesInternetGateway;
    /**
     * @schema CfnModulePropsResources#VPCGatewayAttachment
     */
    readonly vpcGatewayAttachment?: CfnModulePropsResourcesVpcGatewayAttachment;
    /**
     * @schema CfnModulePropsResources#PublicSubnetRouteTable
     */
    readonly publicSubnetRouteTable?: CfnModulePropsResourcesPublicSubnetRouteTable;
    /**
     * @schema CfnModulePropsResources#PublicSubnetRoute
     */
    readonly publicSubnetRoute?: CfnModulePropsResourcesPublicSubnetRoute;
    /**
     * @schema CfnModulePropsResources#PublicSubnet1RouteTableAssociation
     */
    readonly publicSubnet1RouteTableAssociation?: CfnModulePropsResourcesPublicSubnet1RouteTableAssociation;
    /**
     * @schema CfnModulePropsResources#PublicSubnet2RouteTableAssociation
     */
    readonly publicSubnet2RouteTableAssociation?: CfnModulePropsResourcesPublicSubnet2RouteTableAssociation;
    /**
     * @schema CfnModulePropsResources#PublicSubnet3RouteTableAssociation
     */
    readonly publicSubnet3RouteTableAssociation?: CfnModulePropsResourcesPublicSubnet3RouteTableAssociation;
    /**
     * @schema CfnModulePropsResources#SplunkSmartstoreBucket
     */
    readonly splunkSmartstoreBucket?: CfnModulePropsResourcesSplunkSmartstoreBucket;
    /**
     * @schema CfnModulePropsResources#SmartStoreS3BucketRole
     */
    readonly smartStoreS3BucketRole?: CfnModulePropsResourcesSmartStoreS3BucketRole;
    /**
     * @schema CfnModulePropsResources#SmartStoreS3AccessInstanceProfile
     */
    readonly smartStoreS3AccessInstanceProfile?: CfnModulePropsResourcesSmartStoreS3AccessInstanceProfile;
    /**
     * @schema CfnModulePropsResources#SmartStoreS3BucketPolicy
     */
    readonly smartStoreS3BucketPolicy?: CfnModulePropsResourcesSmartStoreS3BucketPolicy;
    /**
     * @schema CfnModulePropsResources#SplunkSearchHeadSecurityGroup
     */
    readonly splunkSearchHeadSecurityGroup?: CfnModulePropsResourcesSplunkSearchHeadSecurityGroup;
    /**
     * @schema CfnModulePropsResources#SplunkIndexerSecurityGroup
     */
    readonly splunkIndexerSecurityGroup?: CfnModulePropsResourcesSplunkIndexerSecurityGroup;
    /**
     * @schema CfnModulePropsResources#SplunkSecurityGroup
     */
    readonly splunkSecurityGroup?: CfnModulePropsResourcesSplunkSecurityGroup;
    /**
     * @schema CfnModulePropsResources#SplunkHttpEventCollectorLoadBalancerSecurityGroup
     */
    readonly splunkHttpEventCollectorLoadBalancerSecurityGroup?: CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup;
    /**
     * @schema CfnModulePropsResources#SplunkSearchHeadInstance
     */
    readonly splunkSearchHeadInstance?: CfnModulePropsResourcesSplunkSearchHeadInstance;
    /**
     * @schema CfnModulePropsResources#SplunkCM
     */
    readonly splunkCm?: CfnModulePropsResourcesSplunkCm;
    /**
     * @schema CfnModulePropsResources#SplunkCMWaitHandle
     */
    readonly splunkCmWaitHandle?: CfnModulePropsResourcesSplunkCmWaitHandle;
    /**
     * @schema CfnModulePropsResources#SplunkCMWaitCondition
     */
    readonly splunkCmWaitCondition?: CfnModulePropsResourcesSplunkCmWaitCondition;
    /**
     * @schema CfnModulePropsResources#SplunkSHCDeployer
     */
    readonly splunkShcDeployer?: CfnModulePropsResourcesSplunkShcDeployer;
    /**
     * @schema CfnModulePropsResources#SplunkSHCMember1
     */
    readonly splunkShcMember1?: CfnModulePropsResourcesSplunkShcMember1;
    /**
     * @schema CfnModulePropsResources#SplunkSHCMember2
     */
    readonly splunkShcMember2?: CfnModulePropsResourcesSplunkShcMember2;
    /**
     * @schema CfnModulePropsResources#SplunkSHCMember3
     */
    readonly splunkShcMember3?: CfnModulePropsResourcesSplunkShcMember3;
    /**
     * @schema CfnModulePropsResources#CfnUser
     */
    readonly cfnUser?: CfnModulePropsResourcesCfnUser;
    /**
     * @schema CfnModulePropsResources#CfnKeys
     */
    readonly cfnKeys?: CfnModulePropsResourcesCfnKeys;
    /**
     * @schema CfnModulePropsResources#BucketPolicy
     */
    readonly bucketPolicy?: CfnModulePropsResourcesBucketPolicy;
    /**
     * @schema CfnModulePropsResources#SplunkIndexerLaunchConfiguration
     */
    readonly splunkIndexerLaunchConfiguration?: CfnModulePropsResourcesSplunkIndexerLaunchConfiguration;
    /**
     * @schema CfnModulePropsResources#SplunkSHCLoadBalancer
     */
    readonly splunkShcLoadBalancer?: CfnModulePropsResourcesSplunkShcLoadBalancer;
    /**
     * @schema CfnModulePropsResources#SplunkHttpEventCollectorLoadBalancer
     */
    readonly splunkHttpEventCollectorLoadBalancer?: CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancer;
    /**
     * @schema CfnModulePropsResources#SplunkIndexerNodesASG
     */
    readonly splunkIndexerNodesAsg?: CfnModulePropsResourcesSplunkIndexerNodesAsg;
}
/**
 * Converts an object of type 'CfnModulePropsResources' to JSON representation.
 */
export declare function toJson_CfnModulePropsResources(obj: CfnModulePropsResources | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersAvailabilityZones
 */
export interface CfnModulePropsParametersAvailabilityZones {
    /**
     * @schema CfnModulePropsParametersAvailabilityZones#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersAvailabilityZones' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersAvailabilityZones(obj: CfnModulePropsParametersAvailabilityZones | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersNumberOfAZs
 */
export interface CfnModulePropsParametersNumberOfAZs {
    /**
     * @schema CfnModulePropsParametersNumberOfAZs#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersNumberOfAZs' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersNumberOfAZs(obj: CfnModulePropsParametersNumberOfAZs | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersWebClientLocation
 */
export interface CfnModulePropsParametersWebClientLocation {
    /**
     * @schema CfnModulePropsParametersWebClientLocation#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersWebClientLocation' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersWebClientLocation(obj: CfnModulePropsParametersWebClientLocation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersHecClientLocation
 */
export interface CfnModulePropsParametersHecClientLocation {
    /**
     * @schema CfnModulePropsParametersHecClientLocation#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersHecClientLocation' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersHecClientLocation(obj: CfnModulePropsParametersHecClientLocation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersIndexerInstanceType
 */
export interface CfnModulePropsParametersIndexerInstanceType {
    /**
     * @schema CfnModulePropsParametersIndexerInstanceType#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersIndexerInstanceType' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersIndexerInstanceType(obj: CfnModulePropsParametersIndexerInstanceType | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSearchHeadInstanceType
 */
export interface CfnModulePropsParametersSearchHeadInstanceType {
    /**
     * @schema CfnModulePropsParametersSearchHeadInstanceType#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSearchHeadInstanceType' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSearchHeadInstanceType(obj: CfnModulePropsParametersSearchHeadInstanceType | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersKeyName
 */
export interface CfnModulePropsParametersKeyName {
    /**
     * @schema CfnModulePropsParametersKeyName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersKeyName' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersKeyName(obj: CfnModulePropsParametersKeyName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersPublicSubnet1Cidr
 */
export interface CfnModulePropsParametersPublicSubnet1Cidr {
    /**
     * @schema CfnModulePropsParametersPublicSubnet1Cidr#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPublicSubnet1Cidr' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPublicSubnet1Cidr(obj: CfnModulePropsParametersPublicSubnet1Cidr | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersPublicSubnet2Cidr
 */
export interface CfnModulePropsParametersPublicSubnet2Cidr {
    /**
     * @schema CfnModulePropsParametersPublicSubnet2Cidr#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPublicSubnet2Cidr' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPublicSubnet2Cidr(obj: CfnModulePropsParametersPublicSubnet2Cidr | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersPublicSubnet3Cidr
 */
export interface CfnModulePropsParametersPublicSubnet3Cidr {
    /**
     * @schema CfnModulePropsParametersPublicSubnet3Cidr#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPublicSubnet3Cidr' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPublicSubnet3Cidr(obj: CfnModulePropsParametersPublicSubnet3Cidr | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersShcEnabled
 */
export interface CfnModulePropsParametersShcEnabled {
    /**
     * @schema CfnModulePropsParametersShcEnabled#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersShcEnabled' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersShcEnabled(obj: CfnModulePropsParametersShcEnabled | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSshClientLocation
 */
export interface CfnModulePropsParametersSshClientLocation {
    /**
     * @schema CfnModulePropsParametersSshClientLocation#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSshClientLocation' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSshClientLocation(obj: CfnModulePropsParametersSshClientLocation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSplunkAdminPassword
 */
export interface CfnModulePropsParametersSplunkAdminPassword {
    /**
     * @schema CfnModulePropsParametersSplunkAdminPassword#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSplunkAdminPassword' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSplunkAdminPassword(obj: CfnModulePropsParametersSplunkAdminPassword | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSplunkIndexerCount
 */
export interface CfnModulePropsParametersSplunkIndexerCount {
    /**
     * @schema CfnModulePropsParametersSplunkIndexerCount#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSplunkIndexerCount' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSplunkIndexerCount(obj: CfnModulePropsParametersSplunkIndexerCount | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSplunkIndexerDiskSize
 */
export interface CfnModulePropsParametersSplunkIndexerDiskSize {
    /**
     * @schema CfnModulePropsParametersSplunkIndexerDiskSize#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSplunkIndexerDiskSize' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSplunkIndexerDiskSize(obj: CfnModulePropsParametersSplunkIndexerDiskSize | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSplunkSearchHeadDiskSize
 */
export interface CfnModulePropsParametersSplunkSearchHeadDiskSize {
    /**
     * @schema CfnModulePropsParametersSplunkSearchHeadDiskSize#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSplunkSearchHeadDiskSize' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSplunkSearchHeadDiskSize(obj: CfnModulePropsParametersSplunkSearchHeadDiskSize | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSplunkLicenseBucket
 */
export interface CfnModulePropsParametersSplunkLicenseBucket {
    /**
     * @schema CfnModulePropsParametersSplunkLicenseBucket#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSplunkLicenseBucket' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSplunkLicenseBucket(obj: CfnModulePropsParametersSplunkLicenseBucket | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSplunkLicensePath
 */
export interface CfnModulePropsParametersSplunkLicensePath {
    /**
     * @schema CfnModulePropsParametersSplunkLicensePath#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSplunkLicensePath' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSplunkLicensePath(obj: CfnModulePropsParametersSplunkLicensePath | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSplunkReplicationFactor
 */
export interface CfnModulePropsParametersSplunkReplicationFactor {
    /**
     * @schema CfnModulePropsParametersSplunkReplicationFactor#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSplunkReplicationFactor' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSplunkReplicationFactor(obj: CfnModulePropsParametersSplunkReplicationFactor | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSplunkSearchFactor
 */
export interface CfnModulePropsParametersSplunkSearchFactor {
    /**
     * @schema CfnModulePropsParametersSplunkSearchFactor#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSplunkSearchFactor' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSplunkSearchFactor(obj: CfnModulePropsParametersSplunkSearchFactor | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSplunkClusterSecret
 */
export interface CfnModulePropsParametersSplunkClusterSecret {
    /**
     * @schema CfnModulePropsParametersSplunkClusterSecret#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSplunkClusterSecret' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSplunkClusterSecret(obj: CfnModulePropsParametersSplunkClusterSecret | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSplunkIndexerDiscoverySecret
 */
export interface CfnModulePropsParametersSplunkIndexerDiscoverySecret {
    /**
     * @schema CfnModulePropsParametersSplunkIndexerDiscoverySecret#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSplunkIndexerDiscoverySecret' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSplunkIndexerDiscoverySecret(obj: CfnModulePropsParametersSplunkIndexerDiscoverySecret | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersVpccidr
 */
export interface CfnModulePropsParametersVpccidr {
    /**
     * @schema CfnModulePropsParametersVpccidr#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersVpccidr' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersVpccidr(obj: CfnModulePropsParametersVpccidr | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSmartStoreBucketName
 */
export interface CfnModulePropsParametersSmartStoreBucketName {
    /**
     * @schema CfnModulePropsParametersSmartStoreBucketName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSmartStoreBucketName' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSmartStoreBucketName(obj: CfnModulePropsParametersSmartStoreBucketName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesVpc
 */
export interface CfnModulePropsResourcesVpc {
    /**
     * @schema CfnModulePropsResourcesVpc#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesVpc#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesVpc' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesVpc(obj: CfnModulePropsResourcesVpc | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesPublicSubnet1
 */
export interface CfnModulePropsResourcesPublicSubnet1 {
    /**
     * @schema CfnModulePropsResourcesPublicSubnet1#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesPublicSubnet1#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesPublicSubnet1' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesPublicSubnet1(obj: CfnModulePropsResourcesPublicSubnet1 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesPublicSubnet2
 */
export interface CfnModulePropsResourcesPublicSubnet2 {
    /**
     * @schema CfnModulePropsResourcesPublicSubnet2#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesPublicSubnet2#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesPublicSubnet2' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesPublicSubnet2(obj: CfnModulePropsResourcesPublicSubnet2 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesPublicSubnet3
 */
export interface CfnModulePropsResourcesPublicSubnet3 {
    /**
     * @schema CfnModulePropsResourcesPublicSubnet3#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesPublicSubnet3#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesPublicSubnet3' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesPublicSubnet3(obj: CfnModulePropsResourcesPublicSubnet3 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesInternetGateway
 */
export interface CfnModulePropsResourcesInternetGateway {
    /**
     * @schema CfnModulePropsResourcesInternetGateway#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesInternetGateway#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesInternetGateway' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesInternetGateway(obj: CfnModulePropsResourcesInternetGateway | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesVpcGatewayAttachment
 */
export interface CfnModulePropsResourcesVpcGatewayAttachment {
    /**
     * @schema CfnModulePropsResourcesVpcGatewayAttachment#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesVpcGatewayAttachment#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesVpcGatewayAttachment' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesVpcGatewayAttachment(obj: CfnModulePropsResourcesVpcGatewayAttachment | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesPublicSubnetRouteTable
 */
export interface CfnModulePropsResourcesPublicSubnetRouteTable {
    /**
     * @schema CfnModulePropsResourcesPublicSubnetRouteTable#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesPublicSubnetRouteTable#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesPublicSubnetRouteTable' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesPublicSubnetRouteTable(obj: CfnModulePropsResourcesPublicSubnetRouteTable | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesPublicSubnetRoute
 */
export interface CfnModulePropsResourcesPublicSubnetRoute {
    /**
     * @schema CfnModulePropsResourcesPublicSubnetRoute#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesPublicSubnetRoute#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesPublicSubnetRoute' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesPublicSubnetRoute(obj: CfnModulePropsResourcesPublicSubnetRoute | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesPublicSubnet1RouteTableAssociation
 */
export interface CfnModulePropsResourcesPublicSubnet1RouteTableAssociation {
    /**
     * @schema CfnModulePropsResourcesPublicSubnet1RouteTableAssociation#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesPublicSubnet1RouteTableAssociation#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesPublicSubnet1RouteTableAssociation' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesPublicSubnet1RouteTableAssociation(obj: CfnModulePropsResourcesPublicSubnet1RouteTableAssociation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesPublicSubnet2RouteTableAssociation
 */
export interface CfnModulePropsResourcesPublicSubnet2RouteTableAssociation {
    /**
     * @schema CfnModulePropsResourcesPublicSubnet2RouteTableAssociation#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesPublicSubnet2RouteTableAssociation#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesPublicSubnet2RouteTableAssociation' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesPublicSubnet2RouteTableAssociation(obj: CfnModulePropsResourcesPublicSubnet2RouteTableAssociation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesPublicSubnet3RouteTableAssociation
 */
export interface CfnModulePropsResourcesPublicSubnet3RouteTableAssociation {
    /**
     * @schema CfnModulePropsResourcesPublicSubnet3RouteTableAssociation#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesPublicSubnet3RouteTableAssociation#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesPublicSubnet3RouteTableAssociation' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesPublicSubnet3RouteTableAssociation(obj: CfnModulePropsResourcesPublicSubnet3RouteTableAssociation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkSmartstoreBucket
 */
export interface CfnModulePropsResourcesSplunkSmartstoreBucket {
    /**
     * @schema CfnModulePropsResourcesSplunkSmartstoreBucket#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkSmartstoreBucket#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkSmartstoreBucket' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkSmartstoreBucket(obj: CfnModulePropsResourcesSplunkSmartstoreBucket | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSmartStoreS3BucketRole
 */
export interface CfnModulePropsResourcesSmartStoreS3BucketRole {
    /**
     * @schema CfnModulePropsResourcesSmartStoreS3BucketRole#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSmartStoreS3BucketRole#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSmartStoreS3BucketRole' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSmartStoreS3BucketRole(obj: CfnModulePropsResourcesSmartStoreS3BucketRole | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSmartStoreS3AccessInstanceProfile
 */
export interface CfnModulePropsResourcesSmartStoreS3AccessInstanceProfile {
    /**
     * @schema CfnModulePropsResourcesSmartStoreS3AccessInstanceProfile#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSmartStoreS3AccessInstanceProfile#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSmartStoreS3AccessInstanceProfile' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSmartStoreS3AccessInstanceProfile(obj: CfnModulePropsResourcesSmartStoreS3AccessInstanceProfile | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSmartStoreS3BucketPolicy
 */
export interface CfnModulePropsResourcesSmartStoreS3BucketPolicy {
    /**
     * @schema CfnModulePropsResourcesSmartStoreS3BucketPolicy#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSmartStoreS3BucketPolicy#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSmartStoreS3BucketPolicy' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSmartStoreS3BucketPolicy(obj: CfnModulePropsResourcesSmartStoreS3BucketPolicy | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkSearchHeadSecurityGroup
 */
export interface CfnModulePropsResourcesSplunkSearchHeadSecurityGroup {
    /**
     * @schema CfnModulePropsResourcesSplunkSearchHeadSecurityGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkSearchHeadSecurityGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkSearchHeadSecurityGroup' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkSearchHeadSecurityGroup(obj: CfnModulePropsResourcesSplunkSearchHeadSecurityGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkIndexerSecurityGroup
 */
export interface CfnModulePropsResourcesSplunkIndexerSecurityGroup {
    /**
     * @schema CfnModulePropsResourcesSplunkIndexerSecurityGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkIndexerSecurityGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkIndexerSecurityGroup' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkIndexerSecurityGroup(obj: CfnModulePropsResourcesSplunkIndexerSecurityGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkSecurityGroup
 */
export interface CfnModulePropsResourcesSplunkSecurityGroup {
    /**
     * @schema CfnModulePropsResourcesSplunkSecurityGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkSecurityGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkSecurityGroup' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkSecurityGroup(obj: CfnModulePropsResourcesSplunkSecurityGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup
 */
export interface CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup {
    /**
     * @schema CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup(obj: CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkSearchHeadInstance
 */
export interface CfnModulePropsResourcesSplunkSearchHeadInstance {
    /**
     * @schema CfnModulePropsResourcesSplunkSearchHeadInstance#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkSearchHeadInstance#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkSearchHeadInstance' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkSearchHeadInstance(obj: CfnModulePropsResourcesSplunkSearchHeadInstance | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkCm
 */
export interface CfnModulePropsResourcesSplunkCm {
    /**
     * @schema CfnModulePropsResourcesSplunkCm#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkCm#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkCm' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkCm(obj: CfnModulePropsResourcesSplunkCm | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkCmWaitHandle
 */
export interface CfnModulePropsResourcesSplunkCmWaitHandle {
    /**
     * @schema CfnModulePropsResourcesSplunkCmWaitHandle#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkCmWaitHandle#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkCmWaitHandle' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkCmWaitHandle(obj: CfnModulePropsResourcesSplunkCmWaitHandle | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkCmWaitCondition
 */
export interface CfnModulePropsResourcesSplunkCmWaitCondition {
    /**
     * @schema CfnModulePropsResourcesSplunkCmWaitCondition#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkCmWaitCondition#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkCmWaitCondition' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkCmWaitCondition(obj: CfnModulePropsResourcesSplunkCmWaitCondition | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkShcDeployer
 */
export interface CfnModulePropsResourcesSplunkShcDeployer {
    /**
     * @schema CfnModulePropsResourcesSplunkShcDeployer#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkShcDeployer#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkShcDeployer' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkShcDeployer(obj: CfnModulePropsResourcesSplunkShcDeployer | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkShcMember1
 */
export interface CfnModulePropsResourcesSplunkShcMember1 {
    /**
     * @schema CfnModulePropsResourcesSplunkShcMember1#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkShcMember1#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkShcMember1' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkShcMember1(obj: CfnModulePropsResourcesSplunkShcMember1 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkShcMember2
 */
export interface CfnModulePropsResourcesSplunkShcMember2 {
    /**
     * @schema CfnModulePropsResourcesSplunkShcMember2#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkShcMember2#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkShcMember2' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkShcMember2(obj: CfnModulePropsResourcesSplunkShcMember2 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkShcMember3
 */
export interface CfnModulePropsResourcesSplunkShcMember3 {
    /**
     * @schema CfnModulePropsResourcesSplunkShcMember3#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkShcMember3#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkShcMember3' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkShcMember3(obj: CfnModulePropsResourcesSplunkShcMember3 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesCfnUser
 */
export interface CfnModulePropsResourcesCfnUser {
    /**
     * @schema CfnModulePropsResourcesCfnUser#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesCfnUser#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesCfnUser' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesCfnUser(obj: CfnModulePropsResourcesCfnUser | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesCfnKeys
 */
export interface CfnModulePropsResourcesCfnKeys {
    /**
     * @schema CfnModulePropsResourcesCfnKeys#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesCfnKeys#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesCfnKeys' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesCfnKeys(obj: CfnModulePropsResourcesCfnKeys | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesBucketPolicy
 */
export interface CfnModulePropsResourcesBucketPolicy {
    /**
     * @schema CfnModulePropsResourcesBucketPolicy#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesBucketPolicy#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesBucketPolicy' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesBucketPolicy(obj: CfnModulePropsResourcesBucketPolicy | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkIndexerLaunchConfiguration
 */
export interface CfnModulePropsResourcesSplunkIndexerLaunchConfiguration {
    /**
     * @schema CfnModulePropsResourcesSplunkIndexerLaunchConfiguration#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkIndexerLaunchConfiguration#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkIndexerLaunchConfiguration' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkIndexerLaunchConfiguration(obj: CfnModulePropsResourcesSplunkIndexerLaunchConfiguration | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkShcLoadBalancer
 */
export interface CfnModulePropsResourcesSplunkShcLoadBalancer {
    /**
     * @schema CfnModulePropsResourcesSplunkShcLoadBalancer#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkShcLoadBalancer#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkShcLoadBalancer' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkShcLoadBalancer(obj: CfnModulePropsResourcesSplunkShcLoadBalancer | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancer
 */
export interface CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancer {
    /**
     * @schema CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancer#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancer#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancer' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancer(obj: CfnModulePropsResourcesSplunkHttpEventCollectorLoadBalancer | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesSplunkIndexerNodesAsg
 */
export interface CfnModulePropsResourcesSplunkIndexerNodesAsg {
    /**
     * @schema CfnModulePropsResourcesSplunkIndexerNodesAsg#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesSplunkIndexerNodesAsg#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesSplunkIndexerNodesAsg' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesSplunkIndexerNodesAsg(obj: CfnModulePropsResourcesSplunkIndexerNodesAsg | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `Splunk::Enterprise::QuickStart::MODULE`.
 *
 * @external
 * @cloudformationResource Splunk::Enterprise::QuickStart::MODULE
 * @link http://unknown-url
 */
export declare class CfnModule extends cdk.CfnResource {
    /**
     * The CloudFormation resource type name for this resource class.
     *
     * @external
     */
    static readonly CFN_RESOURCE_TYPE_NAME = "Splunk::Enterprise::QuickStart::MODULE";
    /**
     * Resource props.
     *
     * @external
     */
    readonly props: CfnModuleProps;
    /**
     * Create a new `Splunk::Enterprise::QuickStart::MODULE`.
     *
     * @param scope - scope in which this resource is defined.
     * @param id - scoped id of the resource.
     * @param props - resource properties.
     * @external
     */
    constructor(scope: cdk.Construct, id: string, props: CfnModuleProps);
}
